org.apache.ode.bpel.runtime

## Class EventContextImpl

- java.lang.Object
- - org.apache.ode.bpel.runtime.EventContextImpl

- All Implemented Interfaces:
    EventContext

      public class EventContextImpl
      extends java.lang.Object
      implements EventContext

  Bpel Event Context Implementation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventContextImpl(OScope __scope, java.lang.Long __scopeInstanceId, BpelRuntimeContext __runtimeContext)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Long` | `getScopeInstanceId()` Get ScopeInstanceId
    `java.lang.String` | `getVariableData(java.lang.String varName)` Get Variable data for the given variable name, for this scope instance
    `java.lang.String[]` | `getVariableNames()` Get All variable names used in this scope Instance

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventContextImpl

          public EventContextImpl(OScope __scope,
                                  java.lang.Long __scopeInstanceId,
                                  BpelRuntimeContext __runtimeContext)

      Constructor
      Parameters:
        `__scope` - Scope Object used in this scope instance.
        `__scopeInstanceId` - Scope Instance ID
        `__runtimeContext` - BPEL Runtime Context

  - ### Method Detail

    - #### getVariableData

          public java.lang.String getVariableData(java.lang.String varName)

      Get Variable data for the given variable name, for this scope instance
      Specified by:
        `getVariableData` in interface `EventContext`
      Parameters:
        `varName` - Variable Name
      Returns:
        DOM Node as XML String. If no value exists or variable not initialized, NULL will be returnrd.

    - #### getVariableNames

          public java.lang.String[] getVariableNames()

      Get All variable names used in this scope Instance
      Specified by:
        `getVariableNames` in interface `EventContext`
      Returns:
        Array of Variable Names. If no variable(s) exists, null will be returned.

    - #### getScopeInstanceId

          public java.lang.Long getScopeInstanceId()

      Get ScopeInstanceId
      Specified by:
        `getScopeInstanceId` in interface `EventContext`
      Returns:
        scopeInstanceId